﻿:root {
  --black: #000000;
  --white: #FFFFFF;
  --blue-900: #021017;
  --blue-800: #052738;
  --blue-700: #07374F;
  --blue-600: #1F5068;
  --blue-550: #2C5569;
  --blue-500: #376880;
  --blue-400: #4F8199;
  --blue-300: #9ED2F0;
  --blue-200: #BBE0F5;
  --blue-100: #DBF3FC;
  --blue-75: #E7F4FB;
  --blue-50: #EFF7F9;
  --cyan-100: #DBF3FC;
  --cyan-75: #E6F9FF;
  --cyan-50: F6FCFE;
  --orange-300: #FF945E;
  --orange-200: #FFB48E;
  --orange-100: #FFD4BF;
  --purple: #6A2FD0;
  --brother-printed: "brother-1816-printed", sans-serif;
  --articulat: "articulat-cf", sans-serif;
  --aura-background: #2C5569;
  --aura-border: #9ED2F0;
  --aura-text: #EFF7F9;
}

p.tovik-translating, div.tovik-translating, span.tovik-translating {
  background: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0));
  background-size: 200%;
  background-position: 0 50%;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: animate-background 3s infinite linear;
}

@keyframes animate-background {
  0% {
    background-position: 0 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0 50%;
  }
}
.error-message, #error-message {
  font-size: 1.6rem;
  color: var(--orange-300);
}

.language-select {
  background-color: var(--blue-600);
  border: 1px solid var(--blue-500);
  border-radius: 20px;
  position: relative;
  width: 100%;
}
.language-select:after {
  content: " ";
  position: absolute;
  top: 50%;
  margin-top: -2px;
  right: 24px;
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid white;
}
.language-select select {
  appearance: none;
  width: 100%;
}
.language-select optgroup, .language-select option {
  background-color: var(--blue-600);
}

.currency-selector, .domain-selector {
  background-color: var(--blue-600);
  border: 1px solid var(--blue-500) !important;
  max-width: min(80vw, 400px);
  min-width: 300px;
  position: relative;
  outline: none;
}
.currency-selector:after, .domain-selector:after {
  content: " ";
  position: absolute;
  top: 50%;
  margin-top: -2px;
  right: 24px;
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid white;
}
.currency-selector select, .domain-selector select {
  width: 100%;
  background-color: var(--blue-600) !important;
}
.currency-selector select option:checked, .domain-selector select option:checked {
  color: var(--orange-300);
}

html, body {
  font-size: 62.5%;
  font-family: var(--articulat), Helvetica, sans-serif;
  color: var(--blue-50, #EFF7F9);
  margin: 0;
  position: relative;
  background: var(--blue-700);
  letter-spacing: 0.15em;
}

body {
  container-type: inline-size;
}

html.modal-open, body.modal-open {
  overflow: hidden;
}

h1, h2, h3, h4, h5, h6, h7 {
  margin: 0;
  padding: 0;
  font-family: var(--brother-printed), sans-serif;
  color: var(--blue-50);
}

h1 {
  font-size: 4.88rem;
  font-weight: 700;
  line-height: 110%;
  font-family: var(--brother-printed);
}

p, ul, ol, li {
  margin: 0;
  padding: 0;
  font-family: var(--articulat);
}

p, li, dl {
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 150%;
  color: var(--blue-100);
}

button, input, select, textarea {
  font-family: var(--articulat), Helvetica, sans-serif;
}

a {
  text-decoration: none;
  color: white;
}

a:visited {
  color: white;
}

button, a.button {
  cursor: pointer;
  text-decoration: none;
  display: flex;
  padding: 13px 16px;
  justify-content: center;
  align-items: center;
  gap: 10px;
  border-radius: 20px;
  border: 1px solid var(--orange-300, #FF945E);
  background: var(--orange-300, #FF945E);
  color: var(--blue-700, #07374F);
  /* Body/Regular/Medium */
  font-family: var(--articulat);
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  transition: background-color 0.05s ease-in;
}
button:hover, a.button:hover {
  background-color: var(--orange-200);
  border-color: var(--orange-100);
}
button[disabled], a.button[disabled] {
  opacity: 0.5;
  pointer-events: none;
}
button > *, a.button > * {
  cursor: pointer;
}
button.secondary-btn, a.button.secondary-btn {
  padding: 13px 16px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 4px;
  font-weight: 500;
  border-radius: 20px;
  border: 1px solid var(--blue-600);
  background: var(--blue-700);
  color: var(--blue-100);
  transition: background-color 0.05s ease-in;
}
button.secondary-btn:hover, a.button.secondary-btn:hover {
  background-color: var(--blue-600);
  border-color: var(--blue-500);
  color: var(--blue-50);
}
button.round-btn, a.button.round-btn {
  width: 48px;
  height: 48px;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 32px;
  border: 1px solid var(--blue-600, #1F5068);
  background: var(--blue-700, #07374F);
}
button.icon-btn, a.button.icon-btn {
  aspect-ratio: 1/1;
  display: flex;
  width: 44px;
  height: 44px;
  padding: 0;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  border: 1px solid var(--blue-600, #1F5068);
  background: var(--blue-700, #07374F);
}
button.icon-btn ::deep svg, a.button.icon-btn ::deep svg {
  height: 100%;
  width: auto;
}
button.link-btn, a.button.link-btn {
  background: transparent;
  text-decoration: underline;
  color: white;
  border: none;
  padding: 0;
  display: inline-block;
}

input {
  display: flex;
  padding: 16px;
  align-items: center;
  gap: 10px;
  flex-shrink: 0;
  align-self: stretch;
  border-radius: 20px;
  border: 1px solid var(--blue-500, #376880);
  background: var(--blue-600, #1F5068);
  color: var(--white, #FFF);
  font-family: var(--articulat);
  font-size: 1.6rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
input::placeholder {
  color: white;
  opacity: 0.5;
}

select {
  background: var(--blue-600, #1F5068);
  font-family: var(--articulat);
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

ul {
  margin: 0;
  padding: 0;
}

.hljs {
  background-color: transparent !important;
  font-weight: 600 !important;
}

hr {
  width: 100%;
  height: 1px;
  margin: 0;
  padding: 0;
  background: linear-gradient(to left, var(--orange-100), var(--orange-200), var(--orange-100));
  opacity: 0.5;
}

p > code {
  color: var(--orange-300);
  font-weight: 600;
}

table {
  font-family: var(--articulat);
  color: var(--blue-50);
  position: static;
  /*> * {
      display: table;
      width: calc(100% + 8px);
  }*/
}
table th:first-child, table th:nth-child(2), table td:first-child, table td:nth-child(2) {
  padding-right: 32px;
}
table thead {
  color: var(--white, #fff);
  font-size: 1.4rem;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  text-align: left;
}
table tbody {
  font-size: 1.6rem;
  font-weight: 500;
}
table tbody tr {
  padding-bottom: 16px;
}
table tbody tr:last-child {
  padding-bottom: 0;
}

header.page-header {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 24px;
  background: rgba(79, 129, 153, 0.2);
  border: 1px solid rgba(219, 243, 252, 0.2);
  border-radius: 24px;
  backdrop-filter: blur(4px);
}
header.page-header h2 {
  font-size: 3.125rem;
  font-weight: 700;
  line-height: normal;
}

.terms {
  width: 600px !important;
  max-width: 80vw;
  margin-left: auto;
  margin-right: auto;
  grid-column: 1;
  margin-top: 200px;
}
.terms h1 {
  font-size: 2.5rem;
  margin-bottom: 32px;
  text-align: center;
}
.terms p {
  margin-bottom: 32px;
}
.terms ul, .terms ol {
  display: inline-block;
  list-style: none;
}
.terms ul li, .terms ol li {
  padding: 8px 0;
  line-height: 150%;
}

.layout-container {
  width: 100vw;
  width: 100cqw;
}

.meter-container {
  width: 100%;
  height: 24px;
  background: var(--orange-100);
  border-radius: 32px;
  position: relative;
  overflow: hidden;
}
.meter-fill {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  border-radius: 32px;
  background: repeating-linear-gradient(110deg, var(--orange-200), var(--orange-200) 8px, var(--orange-300) 8px, var(--orange-300) 16px);
}

ul.category-buttons {
  list-style: none;
  display: flex;
  gap: 4px;
  flex-wrap: wrap;
  justify-content: flex-start;
  padding: 0 !important;
}
ul.category-buttons button {
  border-radius: 32px;
  border: 1px solid rgba(219, 243, 252, 0.2);
  background: rgba(79, 129, 153, 0.2);
  color: var(--blue-100);
  font-family: var(--brother-printed);
  font-size: 1.6rem;
  font-weight: 500;
}
ul.category-buttons li:hover button {
  background: rgba(79, 129, 153, 0.4);
}
ul.category-buttons li.selected button {
  border-color: var(--blue-700);
  background-color: var(--blue-50);
  color: var(--blue-700);
}

section.icon-header {
  padding: 0;
  background: rgba(79, 129, 153, 0.2);
  border-radius: 32px;
  width: 100%;
}
section.icon-header > header {
  background: var(--blue-600);
  border-radius: 32px;
  display: grid;
  grid-template-columns: 48px auto;
  gap: 16px;
  align-items: center;
  padding: 24px;
  margin-bottom: 16px;
}
section.icon-header > header > img {
  height: 32px;
  margin: 0 auto;
}
section.icon-header.with-buttons header {
  grid-template-columns: 48px auto min-content;
}
section.icon-header.with-buttons button, section.icon-header.with-buttons a.button {
  white-space: nowrap;
}
section.icon-header.with-buttons .buttons {
  display: flex;
  gap: 8px;
}
section.icon-header > div {
  padding: 24px;
}
@media (orientation: landscape) {
  section.icon-header > div {
    padding: 24px;
  }
}
section.icon-header div.buttons {
  padding: 0;
}
section.icon-header h3 {
  font-size: 2.5rem;
  line-height: 100%;
  color: var(--blue-50);
}
section.icon-header h3 + p {
  margin-top: 8px;
}
section.icon-header p {
  color: var(--blue-50);
}

header.infopage {
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding: 24px;
  margin-bottom: 24px;
  align-items: center;
}
header.infopage h1 {
  text-align: center;
}
header.infopage a {
  color: var(--orange-300);
  text-decoration: underline;
}
header.infopage h2 {
  font-family: var(--brother-printed);
  font-weight: 700;
  font-size: 2.4rem;
  color: var(--blue-50);
}
header.infopage p {
  color: var(--blue-200);
  font-size: 1.6rem;
}

header.subpage {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
  padding: 24px;
}
header.subpage h1 {
  font-size: 2.5rem;
}
header.subpage p {
  color: var(--blue-300);
}
header.subpage > div {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
header.subpage .buttons {
  flex-direction: row;
  gap: 16px;
}

a.back {
  display: flex;
  align-items: center;
  gap: 8px;
  color: var(--blue-50);
  text-decoration: none;
  font-size: 1.6rem;
  font-weight: 700;
  font-family: var(--brother-printed);
  padding: 12px 17px;
}

dialog .login h4 {
  margin-bottom: 16px;
}
dialog .login p, dialog .login aside {
  margin-bottom: 16px;
  font-size: 1.4rem;
}
@media (orientation: landscape) {
  dialog .login p, dialog .login aside {
    text-align: left;
  }
}
dialog .login form {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  padding: 0 16px;
  justify-content: center;
}
@media (orientation: landscape) {
  dialog .login form {
    display: grid;
    grid-template-columns: auto min-content;
    justify-content: flex-start;
  }
}
dialog .login form input {
  max-inline-size: 60vw;
}
dialog .login form.verify {
  justify-content: flex-start;
}
dialog .login form.verify input {
  inline-size: 120px;
}
dialog .login form button {
  white-space: nowrap;
}
